Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] osm2pgsql: update to 1.4.2.
@ 2021-04-08  0:52 Nyx70
  2021-04-08  2:07 ` [PR PATCH] [Merged]: " ericonr
  0 siblings, 1 reply; 2+ messages in thread
From: Nyx70 @ 2021-04-08  0:52 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1050 bytes --]

There is a new pull request by Nyx70 against master on the void-packages repository

https://github.com/Nyx70/void-packages osm2pgsql
https://github.com/void-linux/void-packages/pull/30084

osm2pgsql: update to 1.4.2.
#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [X] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

#### Does it build and run successfully?
- [X] I built this PR locally for my native architecture, (x86_64)
- [X] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [X] i686
  - [X] x86_64-musl
  - [X] aarch64
  - [X] aarch64-musl
  - [X] armv7l
  - [X] armv6l-musl


A patch file from https://github.com/void-linux/void-packages/pull/30084.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-osm2pgsql-30084.patch --]
[-- Type: text/x-diff, Size: 980 bytes --]

From 0a9a45dece0f932c00bf89d1f0240457442a1360 Mon Sep 17 00:00:00 2001
From: Nyx70 <n.y.x@bluewin.ch>
Date: Wed, 7 Apr 2021 18:55:13 +0200
Subject: [PATCH] osm2pgsql: update to 1.4.2.

---
 srcpkgs/osm2pgsql/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/osm2pgsql/template b/srcpkgs/osm2pgsql/template
index 56b9dfe075e0..d4aae84f375d 100644
--- a/srcpkgs/osm2pgsql/template
+++ b/srcpkgs/osm2pgsql/template
@@ -1,6 +1,6 @@
 # Template file for 'osm2pgsql'
 pkgname=osm2pgsql
-version=1.4.1
+version=1.4.2
 revision=1
 build_style=cmake
 hostmakedepends="boost python3 python3-psycopg2"
@@ -11,4 +11,4 @@ maintainer="Nýx <n.y.x@bluewin.ch>"
 license="GPL-3.0-or-later"
 homepage="https://osm2pgsql.org"
 distfiles="https://github.com/openstreetmap/${pkgname}/archive/${version}.tar.gz"
-checksum=33c4817dceed99764b089ead0e8e2f67c4c6675e761772339b635800970e66e2
+checksum=fc68283930ccd468ed9b28685150741b16083fec86800a4b011884ae22eb061c

^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: [PR PATCH] [Merged]: osm2pgsql: update to 1.4.2.
  2021-04-08  0:52 [PR PATCH] osm2pgsql: update to 1.4.2 Nyx70
@ 2021-04-08  2:07 ` ericonr
  0 siblings, 0 replies; 2+ messages in thread
From: ericonr @ 2021-04-08  2:07 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 901 bytes --]

There's a merged pull request on the void-packages repository

osm2pgsql: update to 1.4.2.
https://github.com/void-linux/void-packages/pull/30084

Description:
#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [X] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

#### Does it build and run successfully?
- [X] I built this PR locally for my native architecture, (x86_64)
- [X] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [X] i686
  - [X] x86_64-musl
  - [X] aarch64
  - [X] aarch64-musl
  - [X] armv7l
  - [X] armv6l-musl


^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-04-08  2:07 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-04-08  0:52 [PR PATCH] osm2pgsql: update to 1.4.2 Nyx70
2021-04-08  2:07 ` [PR PATCH] [Merged]: " ericonr

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ http://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git